public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/ibus] autotool: Don't output FAIL if the actual failure is 0 for Fedora CI
@ 2026-05-31 2:07 Takao Fujiwara
0 siblings, 0 replies; only message in thread
From: Takao Fujiwara @ 2026-05-31 2:07 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : rpms/ibus
Branch : autotool
Commit : e3157fe4b6a61821a2ae04784ca3ba4d41e65c92
Author : Takao Fujiwara <tfujiwar@redhat.com>
Date : 2021-03-21T00:36:58+09:00
Stats : +42/-13 in 3 file(s)
URL : https://src.fedoraproject.org/rpms/ibus/c/e3157fe4b6a61821a2ae04784ca3ba4d41e65c92?branch=autotool
Log:
Don't output FAIL if the actual failure is 0 for Fedora CI
---
diff --git a/ibus-HEAD.patch b/ibus-HEAD.patch
index c505db4..021f84a 100644
--- a/ibus-HEAD.patch
+++ b/ibus-HEAD.patch
@@ -1,6 +1,6 @@
-From ec6b251149bb5ca79c73f7bdbded55d72a44b3a1 Mon Sep 17 00:00:00 2001
+From b3b90f0e467ade81165d67638ca7c2541963a879 Mon Sep 17 00:00:00 2001
From: fujiwarat <takao.fujiwara1@gmail.com>
-Date: Sat, 20 Mar 2021 11:40:50 +0900
+Date: Sat, 20 Mar 2021 20:28:42 +0900
Subject: [PATCH] src/tests: Change default session gnome-session to mutter
gnome-shell 40 now shows the overview mode by login and
@@ -9,13 +9,18 @@ Now the default session is changed to mutter from gnome-session.
The default may be changed to twm if mutter also will be changed
not to accept the application focus in the future.
+Disable Tour dialog which prevent test application from getting the
+input focus.
+
+Don't output FAIL if the actual failure is 0 for Fedora CI.
+
BUG=https://discourse.gnome.org/t/focus-on-autostart-application-by-login/5863
---
- src/tests/ibus-desktop-testing-runner.in | 22 ++++++++++++++++++----
- 1 file changed, 18 insertions(+), 4 deletions(-)
+ src/tests/ibus-desktop-testing-runner.in | 31 +++++++++++++++++++-----
+ 1 file changed, 25 insertions(+), 6 deletions(-)
diff --git a/src/tests/ibus-desktop-testing-runner.in b/src/tests/ibus-desktop-testing-runner.in
-index 4232c549..92ae14ba 100755
+index 4232c549..23e3411e 100755
--- a/src/tests/ibus-desktop-testing-runner.in
+++ b/src/tests/ibus-desktop-testing-runner.in
@@ -4,7 +4,7 @@
@@ -82,6 +87,22 @@ index 4232c549..92ae14ba 100755
fi
}
+@@ -360,8 +374,13 @@ EOF_RUNNER
+ ;;
+ esac
+ echo ""
+- print_log -e "${GREEN}PASS${NC}: $pass"
+- print_log -e "${RED}FAIL${NC}: $fail"
++ # Fedora CI assumes the test is failed even if $fail is 0.
++ if [ $pass -ne 0 ] ; then
++ print_log -e "${GREEN}PASS${NC}: $pass"
++ fi
++ if [ $fail -ne 0 ] ; then
++ print_log -e "${RED}FAIL${NC}: $fail"
++ fi
+ echo ""
+ if [ $TEST_LOG_STDOUT -eq 1 ] ; then
+ cat $TEST_LOG
--
2.28.0
diff --git a/ibus.spec b/ibus.spec
index a0ae0e5..8c493d8 100644
--- a/ibus.spec
+++ b/ibus.spec
@@ -38,7 +38,7 @@
Name: ibus
Version: 1.5.24
-Release: 2%{?dist}
+Release: 3%{?dist}
Summary: Intelligent Input Bus for Linux OS
License: LGPLv2+
URL: https://github.com/ibus/%name/wiki
@@ -488,6 +488,9 @@ dconf update || :
%{_datadir}/installed-tests/ibus
%changelog
+* Sat Mar 20 2021 Takao Fujiwara <tfujiwar@redhat.com> - 1.5.24-3
+- Don't output FAIL if the actual failure is 0 for Fedora CI
+
* Sat Mar 20 2021 Takao Fujiwara <tfujiwar@redhat.com> - 1.5.24-2
- Change default session to mutter from gnome in desktop-testing
diff --git a/tests/roles/ibus-desktop-testing-role/tasks/main.yml b/tests/roles/ibus-desktop-testing-role/tasks/main.yml
index f1d957e..50a10bf 100644
--- a/tests/roles/ibus-desktop-testing-role/tasks/main.yml
+++ b/tests/roles/ibus-desktop-testing-role/tasks/main.yml
@@ -76,30 +76,35 @@
if [ $? -eq 0 ]; then
status="PASS: frame"
fi
- echo "${status} $TEST" >> {{ remote_artifacts }}/test.log
+ echo "${status}" >> {{ remote_artifacts }}/test.log
+ echo "#### {{ remote_artifacts }}/{{ installed_test_name }}.log"
+ if [ -f {{ remote_artifacts }}/{{ installed_test_name }}.log ] ; then
+ cat {{ remote_artifacts }}/{{ installed_test_name }}.log
+ fi
+ echo "#"
+ echo "#### {{ remote_artifacts }}/test.log"
+ if [ -f {{ remote_artifacts }}/test.log ] ; then
+ cat {{ remote_artifacts }}/test.log
+ fi
+ echo "#"
- name: Check the results
shell: |
IS_RAWHIDE=`grep -i rawhide /etc/fedora-release`
if [ x"$IS_RAWHIDE" != x ] ; then
- echo PASS
exit 0
fi
log="{{ remote_artifacts }}/test.log"
if [ ! -f $log ] ; then
echo ERROR
- exit 1
else
FAIL=`grep "^FAIL: " $log | grep -v 'FAIL: 0$'`
if [ x"$FAIL" != x ] ; then
echo ERROR
- exit 1
- else
- echo PASS
fi
fi
register: test_fails
- #failed_when: False
+ failed_when: False
- name: Set role result
set_fact:
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-05-31 2:07 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-05-31 2:07 [rpms/ibus] autotool: Don't output FAIL if the actual failure is 0 for Fedora CI Takao Fujiwara
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox